<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="search">
  <span class="search--bar">{{"settings.departments.search" | translate}}</span>
  <app-searchbar
    (appSearch)="filterDepartmentList($event)"
    [appPlaceholder]="'settings.departments.placeholderSearch' | translate"
    [appSearchText]="searchText"
    class="search--input">
  </app-searchbar>
</div>

<app-departments-settings-table
  [appDepartments]="filteredDepartmentList?.slice(appPage * appPageSize, (appPage + 1) * appPageSize)">
</app-departments-settings-table>

<app-pagination-counter
  (appPageChange)="changePage($event.page, $event.size)"
  [appPageSizeOptions]="appPageSizeOptions"
  [appPageSize]="appPageSize"
  [appPage]="appPage"
  [appTotalPages]="totalPages">
</app-pagination-counter>
